> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a model

> Returns a specific model by ID.



## OpenAPI

````yaml GET /models/{model_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /models/{model_id}:
    get:
      summary: Retrieve a model
      description: Returns a specific model by ID.
      operationId: retrieve-model
      parameters:
        - name: model_id
          in: path
          description: Model friendly ID (e.g., mdl_abc123def456)
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: mdl_abc123def456
                    name: Carbon Calculation Model
                    version: 1
                    is_latest: true
                    cadence: monthly
                    partition_type: feedstock
                    order: 1
                    created_at: '2025-01-15T10:00:00.000Z'
                    updated_at: '2025-01-15T10:00:00.000Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: mdl_abc123def456
                  name:
                    type: string
                  version:
                    type: integer
                  is_latest:
                    type: boolean
                  cadence:
                    type: string
                  partition_type:
                    type: string
                  order:
                    type: integer
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  statusCode:
                    type: integer
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: record not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````